MEMCPY(3)

NAME
memcpy - copy bytes

SYNOPSIS
#include <string.h>
void *
memcpy(void *dst, const void *src, size_t len);

DESCRIPTION
The memcpy() function copies len bytes from buffer src to buffer dst. If the two buffers may overlap, memmove(3) must be used instead.

RETURN VALUES
The memcpy() function returns the original value of dst.

SEE ALSO
bcopy(3), memccpy(3), memmove(3), strcpy(3), strlcpy(3), wmemcpy(3)

STANDARDS
The memcpy() function conforms to ansiC.

HISTORY
The memcpy() function first appeared in AT&T UNIX and was reimplemented for 4.3BSD Tahoe.